ChartDirector Ver 5.0 (PHP Edition)

FinanceChart.setDateLabelFormat

Usage

setDateLabelFormat(yearFormat, firstMonthFormat, otherMonthFormat, firstDayFormat, otherDayFormat, firstHourFormat, otherHourFormat)

Description

Sets the date/time formats to use for the x-axis labels under various cases.
See Parameter Substitution and Formatting on the syntax of ChartDirector format strings.

Arguments

Argument | Default | Description
--- | --- | ---
yearFormat | (Mandatory) | The format for displaying labels on an axis with yearly ticks. The default is "{value|yyyy}".
firstMonthFormat | (Mandatory) | The format for displaying labels on an axis with monthly ticks. This parameter applies to the first available month of a year (usually January) only, so it can be formatted differently from the other labels. The default is "<*font=bold*>{value|mmm yy}".
otherMonthFormat | (Mandatory) | The format for displaying labels on an axis with monthly ticks. This parameter applies to months other than the first available month of a year. The default is "{value|mmm}".
firstDayFormat | (Mandatory) | The format for displaying labels on an axis with daily ticks. This parameter applies to the first available day of a month only, so it can be formatted differently from the other labels. The default is "<*font=bold*>{value|d mmm}".
otherDayFormat | (Mandatory) | The format for displaying labels on an axis with daily ticks. This parameter applies to days other than the first available day of a month. The default is "{value|d}".
firstHourFormat | (Mandatory) | The format for displaying labels on an axis with hourly resolution. This parameter applies to the first tick of a day only, so it can be formatted differently from the other labels. The default is "<*font=bold*>{value|d mmm<*br*>h:nna}".
otherHourFormat | (Mandatory) | The format for displaying labels on an axis with hourly. resolution. This parameter applies to ticks at hourly boundaries, except the first tick of a day. The default is "{value|h:nna}".

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.